<?php
/**
 * Archive Pages
 *
 * @package Scribbler
 */

$menus['blog-archive'] = array(
	'icon'  => 'fa-archive',
	'title' => esc_html__( 'Archives', 'scribbler' ),
	'desc'  => esc_html__( 'From here, you can control the elements of the archive pages.', 'scribbler' ),
);

$readmore = array(
	'relation' => 'and',
	array(
		'field'      => 'archive_readmore',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['blog-archive'] = array(
	array(
		'id'       => 'archive_excerpt',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Excerpt Length', 'magnus' ),
		'sub_desc' => esc_html__( 'Max lenght is 55 Words.', 'magnus' ),
		'args'     => array( 'type' => 'number' ),
		'std'      => '45',
	),
	array(
		'id'    => 'archive_post_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Archive Post Font', 'scribbler' ),
	),
	array(
		'id'    => 'archive_post_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Title Font', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Post Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '38px',
			'line-height'   => '48px',
			'color'         => '#3f4351',
			'css-selectors' => '.latestPost .title a, .archive .latestPost .title a, .search .latestPost .title a, .archive [class^="more-page"] .latestPost .title a, .search [class^="more-page"] .latestPost .title a',
		),
	),
	array(
		'id'    => 'archive_post_excerpt_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Excerpt Font', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Post Excerpt Font',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'line-height'   => '30px',
			'color'         => '#9fa1a8',
			'css-selectors' => '.archive .latestPost .front-view-content, .search .latestPost .front-view-content, .archive [class^="more-page"] .latestPost .front-view-content, .search [class^="more-page"] .latestPost .front-view-content',
		),
	),
	array(
		'id'    => 'archive_meta_info_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Archive Meta Info', 'scribbler' ),
	),
	array(
		'id'       => 'mts_archive_headline_meta_info',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Post Meta Info', 'scribbler' ),
		'sub_desc' => esc_html__( 'Show or hide post meta info.', 'scribbler' ),
		'options'  => array(
			'category'  => esc_html__( 'Category', 'scribbler' ),
			'date'      => esc_html__( 'Date', 'scribbler' ),
			'authorpic' => esc_html__( 'Author Pic', 'scribbler' ),
			'author'    => esc_html__( 'Author Name', 'scribbler' ),
			'comment'   => esc_html__( 'Comments', 'scribbler' ),
		),
		'std'      => array(
			'category',
			'date',
			'authorpic',
			'author',
			'comment',
		),
	),
	array(
		'id'       => 'mts_archive_category_type',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Categories', 'scribbler' ),
		'options'  => array(
			'0' => esc_html__( 'First Category', 'scribbler' ),
			'1' => esc_html__( 'ALL Categories', 'scribbler' ),
		),
		'sub_desc' => esc_html__( 'Show only first category or all the categories of archive posts from here.', 'scribbler' ),
		'std'      => '0',
	),
	array(
		'id'    => 'archive_meta_info_upper_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Date, Time Typography', 'scribbler' ),
		'std'   => array(
			'preview-text'   => 'Date, Time Font',
			'preview-color'  => 'light',
			'font-family'    => 'Asap',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#6f727d',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.archive .latestPost .post-info-upper, .archive .latestPost .post-info-upper a, .search .latestPost .post-info-upper, .search .latestPost .post-info-upper a',
		),
	),
	array(
		'id'    => 'archive_post_categories_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Categories Typography', 'scribbler' ),
		'std'   => array(
			'preview-text'   => 'Post Categories Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Asap',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.archive .latestPost .post-info-upper .thecategory a, .search .latestPost .post-info-upper .thecategory a',
		),
	),
	array(
		'id'    => 'archive_meta_info_bottom_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Post Author, Comments Typography', 'scribbler' ),
		'std'   => array(
			'preview-text'   => 'Post Author, Comments Font',
			'preview-color'  => 'light',
			'font-family'    => 'Asap',
			'font-weight'    => '400',
			'font-size'      => '16px',
			'color'          => '#3f4351',
			'additional-css' => 'text-transform: capitalize;',
			'css-selectors'  => '.archive .latestPost .post-info-bottom, .archive .latestPost .post-info-bottom a, .search .latestPost .post-info-bottom, .search .latestPost .post-info-bottom a',
		),
	),
	array(
		'id'    => 'archive_post_categories_bg',
		'type'  => 'color',
		'title' => esc_html__( 'Post Categories Background', 'scribbler' ),
		'std'   => scribbler_get_settings( 'primary_color_scheme' ),
	),
	array(
		'id'       => 'archive_readmore',
		'type'     => 'switch',
		'title'    => esc_html__( 'Enable/Disable Read More', 'digital' ),
		'sub_desc' => esc_html__( 'Use this button to show or hide Read More.', 'digital' ),
		'std'      => '1',
	),
	array(
		'id'         => 'archive_readmore_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Read More Font', 'digital' ),
		'std'        => array(
			'preview-text'  => 'Read More Font',
			'preview-color' => 'light',
			'font-family'   => 'Red Hat Display',
			'font-weight'   => '700',
			'font-size'     => '16px',
			'line-height'   => '20px',
			'color'         => '#9fa1a8',
			'css-selectors' => '.archive .latestPost .readMore a, .search .latestPost .readMore a',
		),
		'dependency' => $readmore,
	),
);
