<?php
/**
 * Blog Title
 *
 * @package Scribbler
 */

$menus['blog']['child']['blog-title'] = array(
	'title' => esc_html__( 'Blog & Pages Title', 'scribbler' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your blog page & pages title', 'scribbler' ),
);

// Dependency check the load more button.
$blog_title = array(
	'relation' => 'and',
	array(
		'field'      => 'show_blog_title',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['blog-title'] = array(

	array(
		'id'       => 'show_blog_title',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Blog Title', 'scribbler' ),
		'sub_desc' => esc_html__( 'Enable/Disable the Pages Title form here.', 'scribbler' ),
		'std'      => '1',
	),

	array(
		'id'       => 'show_blog_icon',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Blog Icon', 'scribbler' ),
		'sub_desc' => esc_html__( 'Enable/Disable the blog icon form here.', 'scribbler' ),
		'std'      => '1',
	),

	array(
		'id'       => 'show_arrow_icon',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Blog Arrow', 'scribbler' ),
		'sub_desc' => esc_html__( 'Enable/Disable the blog icon form here.', 'scribbler' ),
		'std'      => '1',
	),

	array(
		'id'         => 'blog_icon',
		'type'       => 'icon_select',
		'title'      => esc_html__( 'Icon', 'digital' ),
		'std'        => 'lightbulb-o',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'show_blog_title',
				'value'      => '1',
				'comparison' => '==',
			),
			array(
				'field'      => 'show_blog_icon',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'blog_title',
		'type'       => 'text',
		'title'      => esc_html__( 'Blog Title', 'scribbler' ),
		'sub_desc'   => esc_html__( 'Enter blog title text from here.', 'scribbler' ),
		'std'        => 'Scribbler Blog',
		'dependency' => $blog_title,
	),

	array(
		'id'         => 'blog_subtitle',
		'type'       => 'textarea',
		'title'      => esc_html__( 'Blog Subtitle', 'scribbler' ),
		'sub_desc'   => esc_html__( 'Enter page subtitle text from here.', 'scribbler' ),
		'std'        => 'A knowledge hub for SEO and online marketing enthusiasts.',
		'dependency' => $blog_title,
	),

	array(
		'id'         => 'blog_icon_bg',
		'type'       => 'color',
		'title'      => esc_html__( 'Blog Icon Background Color', 'scribbler' ),
		'std'        => scribbler_get_settings( 'primary_color_scheme' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'show_blog_title',
				'value'      => '1',
				'comparison' => '==',
			),
			array(
				'field'      => 'show_blog_icon',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'blog_icon_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Blog Icon Color', 'scribbler' ),
		'std'        => '#000000',
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'show_blog_title',
				'value'      => '1',
				'comparison' => '==',
			),
			array(
				'field'      => 'show_blog_icon',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'         => 'arrow_icon_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Arrow Icon Color', 'scribbler' ),
		'std'        => scribbler_get_settings( 'primary_color_scheme' ),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'show_blog_title',
				'value'      => '1',
				'comparison' => '==',
			),
			array(
				'field'      => 'show_arrow_icon',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'pages_title_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set Titles section padding from here.', 'scribbler' ),
		'std'      => array(
			'top'    => '9.72rem',
			'right'  => '0',
			'bottom' => '3.45rem',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'pages_title_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set Titles section margin from here.', 'scribbler' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),

	array(
		'id'       => 'pages_title_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Pages Title Background', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'scribbler' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'upload',
			'image_pattern' => 'nobg',
			'image_upload'  => get_template_directory_uri() . '/images/page-title.png',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'    => 'blog_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Blog Title Font', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Blog Title',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'color'         => '#3f4351',
			'font-size'     => '56px',
			'line-height'   => '1.25',
			'css-selectors' => '.pages-title-section .blog-heading, .page h1.title, .page-title',
		),
	),

	array(
		'id'    => 'blog_subtitle_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Blog Subheading Font', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Blog Subheading',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '400',
			'color'         => '#6e717c',
			'font-size'     => '16px',
			'line-height'   => '20px',
			'css-selectors' => '.pages-title-section .blog-subheading',
		),
	),

);
