<?php
/**
 * Back to top
 *
 * @package Scribbler
 */

$menus['footer']['child']['footer-copyrights'] = array(
	'title' => esc_html__( 'Copyrights', 'scribbler' ),
	'desc'  => esc_html__( 'From here, you can control the styling of copyrights section.', 'scribbler' ),
);

$footer_nav_section = array(
	'field'      => 'footer_nav_section',
	'value'      => '1',
	'comparison' => '==',
);

$footer_nav_separator = array(
	'field'      => 'footer_nav_separator',
	'value'      => '1',
	'comparison' => '==',
);

$sections['footer-copyrights'] = array(
	array(
		'id'    => 'coprights_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Copyrights Settings', 'scribbler' ),
	),
	array(
		'id'       => 'mts_copyrights',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Copyrights Text', 'scribbler' ),
		'sub_desc' => esc_html__( 'You can change or remove our link from footer and use your own custom text.', 'scribbler' ) . ( MTS_THEME_WHITE_LABEL ? '' : wp_kses( __( '(You can also use your affiliate link to <strong>earn 55% of sales</strong>. Ex: <a href="https://mythemeshop.com/go/aff/aff" target="_blank">https://mythemeshop.com/?ref=username</a>)', 'scribbler' ), array( 'strong' => '', 'a' => array( 'href' => array(), 'target' => array() ) ) ) ),
		'std'      => MTS_THEME_WHITE_LABEL ? null : sprintf( __( 'Theme by %s. All rights reserved.', 'scribbler' ), '<a href="https://mythemeshop.com/" rel="nofollow">MyThemeShop</a>' ),
	),
	array(
		'id'    => 'copyrights_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Copyrights Font', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Copyrights Font',
			'preview-color' => 'dark',
			'font-family'   => 'Asap',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => '26px',
			'color'         => '#ffffff',
			'css-selectors' => '#copyright-note, copyright-note a',
		),
	),
	array(
		'id'    => 'footer_nav_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Footer Navigation Settings', 'scribbler' ),
	),
	array(
		'id'       => 'footer_nav_section',
		'type'     => 'switch',
		'title'    => esc_html__( 'Navigation Section', 'scribbler' ),
		'sub_desc' => esc_html__( 'Enable or disable Navigation Section with this option.', 'scribbler' ),
		'std'      => '1',
	),
	array(
		'id'         => 'footer_nav_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Footer Navigation', 'scribbler' ),
		'std'        => array(
			'preview-text'  => 'Footer Navigation Font',
			'preview-color' => 'dark',
			'font-family'   => 'Asap',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => '26px',
			'color'         => '#ffffff',
			'css-selectors' => '.footer-nav li a',
		),
		'dependency' => array(
			'relation' => 'and',
			$footer_nav_section,
		),
	),
	array(
		'id'         => 'footer_menu_item_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Menu Items Margin', 'scribbler' ),
		'sub_desc'   => esc_html__( 'Navigation Section menu item margin.', 'scribbler' ),
		'top'        => false,
		'bottom'     => false,
		'std'        => array(
			'right' => '28px',
			'left'  => '0',
		),
		'dependency' => array(
			'relation' => 'and',
			$footer_nav_section,
		),
	),
	array(
		'id'         => 'footer_nav_separator',
		'type'       => 'switch',
		'title'      => esc_html__( 'Show Nav Separator', 'scribbler' ),
		'sub_desc'   => esc_html__( 'Enable or disable nav separator with this option.', 'scribbler' ),
		'std'        => '0',
		'dependency' => array(
			'relation' => 'and',
			$footer_nav_section,
		),
	),
	array(
		'id'         => 'footer_nav_separator_content',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Separator', 'scribbler' ),
		'sub_desc'   => esc_html__( 'Use any separator, ex: "-" "/" "|" "." ">"', 'scribbler' ),
		'std'        => '|',
		'dependency' => array(
			'relation' => 'and',
			$footer_nav_separator,
		),
	),
	array(
		'id'         => 'footer_nav_separator_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Separator Color', 'scribbler' ),
		'sub_desc'   => esc_html__( 'Set nav separator color from here.', 'scribbler' ),
		'std'        => '#ffffff',
		'dependency' => array(
			'relation' => 'and',
			$footer_nav_separator,
		),
	),
	array(
		'id'         => 'footer_nav_separator_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Separator Margin', 'scribbler' ),
		'sub_desc'   => esc_html__( 'Nav Separator margin.', 'scribbler' ),
		'top'        => false,
		'bottom'     => false,
		'std'        => array(
			'right' => '28px',
			'left'  => '0',
		),
		'dependency' => array(
			'relation' => 'and',
			$footer_nav_separator,
		),
	),
	array(
		'id'    => 'coprights_container',
		'type'  => 'heading',
		'title' => esc_html__( 'Copyrights Container Settings', 'scribbler' ),
	),
	array(
		'id'       => 'mts_copyrights_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Copyrights Background', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set copyrights background color, pattern and image from here.', 'scribbler' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#191b26',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'copyrights_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Copyrights Margin', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set copyrights margin from here.', 'scribbler' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'copyrights_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Copyrights Padding', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set copyrights padding from here.', 'scribbler' ),
		'std'      => array(
			'top'    => '30px',
			'right'  => '0',
			'bottom' => '30px',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'copyrights_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'scribbler' ),
		'sub_desc' => esc_html__( 'Select border', 'scribbler' ),
	),
);
