<?php
/**
 * Back to top
 *
 * @package Scribbler
 */

$menus['footer']['child']['footer-styling'] = array(
	'title' => esc_html__( 'Styling', 'scribbler' ),
	'desc'  => esc_html__( 'From here, you can control the styling of footer section.', 'scribbler' ),
);

$footer_dependency = array(
	'relation' => 'and',
	array(
		'field'      => 'mts_top_footer',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['footer-styling'] = array(
	array(
		'id'         => 'mts_top_footer_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Footer Margin', 'scribbler' ),
		'sub_desc'   => esc_html__( 'Footer margin.', 'scribbler' ),
		'std'        => array(
			'top'    => '70px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
		'dependency' => $footer_dependency,
	),
	array(
		'id'         => 'mts_top_footer_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Footer Padding', 'scribbler' ),
		'sub_desc'   => esc_html__( 'Footer padding.', 'scribbler' ),
		'std'        => array(
			'top'    => '74px',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
		'dependency' => $footer_dependency,
	),

	array(
		'id'         => 'mts_footer_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Footer Background', 'scribbler' ),
		'sub_desc'   => esc_html__( 'Set footer background color, pattern and image from here.', 'scribbler' ),
		'options'    => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'        => array(
			'color'         => '#1f222f',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
		'dependency' => $footer_dependency,
	),

);
