<?php
/**
 * Header Tab
 *
 * @package Scribbler
 */

$menus['header'] = array(
	'icon'  => 'fa-header',
	'title' => esc_html__( 'Header', 'scribbler' ),
);

$menus['header']['child']['header-general'] = array(
	'title' => esc_html__( 'General', 'scribbler' ),
	'desc'  => esc_html__( 'From here, you can control the elements of header section.', 'scribbler' ),
);

$header_layout2 = array(
	'relation' => 'and',
	array(
		'field'      => 'header_styles',
		'value'      => 'header-layout2',
		'comparison' => '==',
	),
);

$sticky_nav = array(
	'relation' => 'and',
	array(
		'field'      => 'sticky_nav',
		'value'      => '1',
		'comparison' => '==',
	),
);

$sections['header-general'] = array(

	array(
		'id'       => 'header_styles',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Header Styling', 'scribbler' ),
		'sub_desc' => wp_kses( __( 'Choose the <strong>Header design</strong> for your site.', 'scribbler' ), array( 'strong' => '' ) ),
		'options'  => array(
			'header-default' => array( 'img' => $uri . 'headers/header-default.jpg' ),
			'header-layout2' => array( 'img' => $uri . 'headers/header-layout2.jpg' ),
		),
		'std'      => 'header-default',
	),

	array(
		'id'        => 'header_buttons',
		'type'      => 'group',
		'title'     => esc_html__( 'Header Buttons', 'scribbler' ),
		'sub_desc'  => esc_html__( 'Add buttons appearing on the header.', 'scribbler' ),
		'groupname' => esc_html__( 'Button', 'scribbler' ),
		'subfields' => array(
			array(
				'id'    => 'button_text',
				'type'  => 'text',
				'title' => esc_html__( 'Button Text', 'scribbler' ),
			),
			array(
				'id'    => 'button_url',
				'type'  => 'text',
				'title' => esc_html__( 'Button URL', 'scribbler' ),
			),
			array(
				'id'    => 'button_text_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Text Color', 'scribbler' ),
			),
			array(
				'id'    => 'button_bg_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Background Color', 'scribbler' ),
			),
			array(
				'id'    => 'button_text_hover_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Text Hover Color', 'scribbler' ),
			),
			array(
				'id'    => 'button_bg_hover_color',
				'type'  => 'color',
				'title' => esc_html__( 'Button Background Hover Color', 'scribbler' ),
			),
			array(
				'id'       => 'button_border_radius',
				'type'     => 'text',
				'class'    => 'small-text',
				'title'    => esc_html__( 'Button border radius', 'scribbler' ),
				'sub_desc' => esc_html__( 'Update border radius in px.', 'scribbler' ),
				'std'      => '20',
				'args'     => array( 'type' => 'number' ),
			),
			array(
				'id'    => 'button_box_shadow',
				'type'  => 'checkbox',
				'title' => esc_html__( 'Button Box Shadow', 'scribbler' ),
				'std'   => '0',
			),
		),
		'std'       => array(
			'1' => array(
				'group_sort'              => '1',
				'button_text_color'       => '#3f4351',
				'button_bg_color'         => '',
				'button_text_hover_color' => scribbler_get_settings( 'primary_color_scheme' ),
				'button_bg_hover_color'   => '',
				'button_text'             => 'Sign In',
				'button_url'              => '#',
				'button_border_radius'    => '0',
				'button_box_shadow'       => '0',
			),
			'2' => array(
				'group_sort'              => '2',
				'button_text_color'       => '#ffffff',
				'button_bg_color'         => scribbler_get_settings( 'primary_color_scheme' ),
				'button_text_hover_color' => '#ffffff',
				'button_bg_hover_color'   => '#b34a4e',
				'button_text'             => 'Register',
				'button_url'              => '#',
				'button_border_radius'    => '20',
				'button_box_shadow'       => '1',
			),
		),
	),

	array(
		'id'         => 'header_social_icons',
		'title'      => esc_html__( 'Header Social Icons', 'scribbler' ),
		'sub_desc'   => esc_html__( 'Add Social Media icons in header.', 'scribbler' ),
		'type'       => 'group',
		'groupname'  => esc_html__( 'Header Icon', 'scribbler' ), // Group name.
		'subfields'  => array(
			array(
				'id'    => 'header_icon_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'scribbler' ),
			),
			array(
				'id'    => 'header_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Icon', 'scribbler' ),
			),
			array(
				'id'    => 'header_icon_link',
				'type'  => 'text',
				'title' => esc_html__( 'URL', 'scribbler' ),
			),
			array(
				'id'    => 'header_icon_bgcolor',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon background color', 'scribbler' ),
			),
			array(
				'id'    => 'header_icon_hover_bgcolor',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon background hover color', 'scribbler' ),
			),
			array(
				'id'    => 'header_icon_color',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon color', 'scribbler' ),
			),
			array(
				'id'    => 'header_icon_hover_color',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon hover color', 'scribbler' ),
			),
			array(
				'id'    => 'header_icon_margin',
				'type'  => 'margin',
				'title' => esc_html__( 'Header icon Margin', 'scribbler' ),
			),
			array(
				'id'    => 'header_icon_padding',
				'type'  => 'margin',
				'title' => esc_html__( 'Header icon Padding', 'scribbler' ),
			),
			array(
				'id'    => 'header_icon_border_radius',
				'type'  => 'text',
				'class' => 'small-text',
				'title' => esc_html__( 'Header icon border radius', 'scribbler' ),
				'args'  => array( 'type' => 'number' ),
			),
		),
		'std'        => array(
			'facebook'  => array(
				'group_title'               => 'Facebook',
				'group_sort'                => '1',
				'header_icon_title'         => 'Facebook',
				'header_icon'               => 'facebook-official',
				'header_icon_link'          => '#',
				'header_icon_bgcolor'       => '',
				'header_icon_hover_bgcolor' => '',
				'header_icon_color'         => '#3f4351',
				'header_icon_hover_color'   => scribbler_get_settings( 'primary_color_scheme' ),
				'header_icon_margin'        => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '13px',
				),
				'header_icon_padding'       => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'header_icon_border_radius' => '0',
			),
			'twitter'   => array(
				'group_title'               => 'Twitter',
				'group_sort'                => '2',
				'header_icon_title'         => 'Twitter',
				'header_icon'               => 'twitter',
				'header_icon_link'          => '#',
				'header_icon_bgcolor'       => '',
				'header_icon_hover_bgcolor' => '',
				'header_icon_color'         => '#3f4351',
				'header_icon_hover_color'   => scribbler_get_settings( 'primary_color_scheme' ),
				'header_icon_margin'        => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '13px',
				),
				'header_icon_padding'       => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'header_icon_border_radius' => '0',
			),
			'instagram' => array(
				'group_title'               => 'Instagram',
				'group_sort'                => '3',
				'header_icon_title'         => 'Instagram',
				'header_icon'               => 'instagram',
				'header_icon_link'          => '#',
				'header_icon_bgcolor'       => '',
				'header_icon_hover_bgcolor' => '',
				'header_icon_color'         => '#3f4351',
				'header_icon_hover_color'   => scribbler_get_settings( 'primary_color_scheme' ),
				'header_icon_margin'        => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '13px',
				),
				'header_icon_padding'       => array(
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				),
				'header_icon_border_radius' => '0',
			),

		),
		'dependency' => $header_layout2,
	),

	array(
		'id'    => 'header_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Header General Settings', 'scribbler' ),
	),

	array(
		'id'       => 'sticky_nav',
		'type'     => 'switch',
		'title'    => esc_html__( 'Floating Navigation Menu', 'scribbler' ),
		// translators: Floating Navigation Menu with strong tag.
		'sub_desc' => sprintf( esc_html__( 'Use this button to enable %s.', 'scribbler' ), '<strong>' . esc_html__( 'Floating Navigation Menu', 'scribbler' ) . '</strong>' ),
		'std'      => '0',
	),

	array(
		'id'         => 'sticky_responsive_nav',
		'type'       => 'switch',
		'title'      => esc_html__( 'Floating Navigation Responsive', 'scribbler' ),
		'sub_desc'   => wp_kses( __( 'Use this button to Show or Hide the <strong>Floating Navigation Menu</strong> on Responsive screen.', 'scribbler' ), array( 'strong' => '' ) ),
		'std'        => '0',
		'dependency' => $sticky_nav,
	),

	array(
		'id'       => 'hide_logo',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Logo', 'scribbler' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Logo</strong> completely.', 'scribbler' ), array( 'strong' => '' ) ),
		'std'      => '1',
	),

	array(
		'id'       => 'header_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Margin', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set header margin from here.', 'scribbler' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => '0',
		),
	),
	array(
		'id'       => 'header_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Padding', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set header padding from here.', 'scribbler' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '38px',
			'bottom' => '30px',
		),
	),

	array(
		'id'       => 'header_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'scribbler' ),
		'sub_desc' => esc_html__( 'Select border.', 'scribbler' ),
	),

);
