<?php
/**
 * Sidebars Styling
 *
 * @package Scribbler
 */

$menus['sidebars-styling'] = array(
	'title' => esc_html__( 'Styling', 'scribbler' ),
	'desc'  => esc_html__( 'From here, you can control the styling of sidebars.', 'scribbler' ),
);

$sections['sidebars-styling'] = array(

	array(
		'id'    => 'sidebar_title_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Title Styling', 'scribbler' ),
	),

	array(
		'id'       => 'sidebar_title_styling_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Sidebar Title Styling Background', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'scribbler' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'sidebar_title_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Title Margin', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set sidebar title margin from here.', 'scribbler' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => '20px',
		),
	),
	array(
		'id'       => 'sidebar_title_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Title Padding', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set sidebar title padding from here.', 'scribbler' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'widget_title_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'scribbler' ),
		'sub_desc' => esc_html__( 'Select border.', 'scribbler' ),
	),

	array(
		'id'    => 'sidebar_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Sidebar Styling', 'scribbler' ),
	),

	array(
		'id'       => 'sidebar_styling_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Sidebar Widgets Background', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image of sidebar widgets from here.', 'scribbler' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'sidebar_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Margin', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set sidebar widgets margin from here.', 'scribbler' ),
		'std'      => array(
			'left'   => '0',
			'top'    => '0',
			'right'  => '0',
			'bottom' => '40px',
		),
	),
	array(
		'id'       => 'sidebar_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Padding', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set sidebar widgets padding from here.', 'scribbler' ),
		'std'      => array(
			'left'   => '30px',
			'top'    => '35px',
			'right'  => '30px',
			'bottom' => '20px',
		),
	),
	array(
		'id'       => 'sidebar_styling_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set border radius of widgets in px.', 'scribbler' ),
		'std'      => '12',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'sidebar_styling_box_shadow',
		'type'     => 'switch',
		'title'    => esc_html__( 'Box Shadow', 'scribbler' ),
		'sub_desc' => esc_html__( 'Show/ hide box shadow of widgets form here.', 'scribbler' ),
		'std'      => '1',
	),
	array(
		'id'       => 'sidebar_styling_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'scribbler' ),
		'sub_desc' => esc_html__( 'Select border', 'scribbler' ),
	),
	array(
		'id'       => 'sidebar_button_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Sidebar Button Border Radius', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set sidebar button border radius in px.', 'scribbler' ),
		'std'      => '12',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'sidebar_top_button_border_radius',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Sidebar Button Top Border Radius', 'scribbler' ),
		'options'  => array(
			'0' => esc_html__( 'Off', 'scribbler' ),
			'1' => esc_html__( 'On', 'scribbler' ),
		),
		'sub_desc' => esc_html__( 'Show sidebar buttons top border radius form here.', 'scribbler' ),
		'std'      => '0',
	),

);
