<?php
/**
 * Single Styling
 *
 * @package Scribbler
 */

$menus['single-styling'] = array(
	'icon'  => 'fa-paint-brush',
	'title' => esc_html__( 'Single Styling', 'scribbler' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single posts page.', 'scribbler' ),
);

$sections['single-styling'] = array(

	array(
		'id'    => 'single_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Single Titles Styling', 'scribbler' ),
	),

	array(
		'id'       => 'single_title_alignment',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Single Page Title Alignment', 'scribbler' ),
		'sub_desc' => esc_html__( 'Choose the single page title alignment', 'scribbler' ),
		'options'  => array(
			'left'   => esc_html__( 'Left', 'scribbler' ),
			'center' => esc_html__( 'Center', 'scribbler' ),
			'right'  => esc_html__( 'Right', 'scribbler' ),
		),
		'std'      => 'left',
	),

	array(
		'id'       => 'single_title_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Single Page Title Background Color', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'scribbler' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'single_title_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Page Title Padding', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set single page title padding from here.', 'scribbler' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_title_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'scribbler' ),
		'sub_desc' => esc_html__( 'Select border', 'scribbler' ),
	),

	array(
		'id'    => 'mts_single_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Single Styling', 'scribbler' ),
	),

	array(
		'id'       => 'single_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Background', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image of Single, Page, Archive, Search, Category and 404 Page from here.', 'scribbler' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),

	array(
		'id'       => 'mts_single_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Margin', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set single post margin from here.', 'scribbler' ),
		'left'     => false,
		'right'    => false,
		'std'      => array(
			'top'    => '0',
			'bottom' => '30px',
		),
	),
	array(
		'id'       => 'mts_single_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Padding', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set single post padding from here.', 'scribbler' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_styling_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'scribbler' ),
		'sub_desc' => esc_html__( 'Select border', 'scribbler' ),
	),
	array(
		'id'    => 'single_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Post Title', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Single Article Title',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '48px',
			'line-height'   => '56px',
			'color'         => '#3f4351',
			'css-selectors' => '.single-title',
		),
	),
	array(
		'id'    => 'single_post_author_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Post Author, Comments Typography', 'scribbler' ),
		'std'   => array(
			'preview-text'   => 'Post Author, Comments Font',
			'preview-color'  => 'light',
			'font-family'    => 'Asap',
			'font-weight'    => '400',
			'font-size'      => '16px',
			'color'          => '#3f4351',
			'additional-css' => 'text-transform: capitalize;',
			'css-selectors'  => '.single_post .post-info .theauthor a, .single_post .post-info .thecomment',
		),
	),
	array(
		'id'    => 'single_post_date_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Post Date, Time Typography', 'scribbler' ),
		'std'   => array(
			'preview-text'   => 'Date, Time Font',
			'preview-color'  => 'light',
			'font-family'    => 'Asap',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#6f727d',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.single_post .post-info .thetime, .single_post .post-info .thetime',
		),
	),
	array(
		'id'    => 'single_post_categories_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Post Categories Typography', 'scribbler' ),
		'std'   => array(
			'preview-text'   => 'Post Categories Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Asap',
			'font-weight'    => '700',
			'font-size'      => '14px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.single_post .post-info .thecategory a',
		),
	),
	array(
		'id'    => 'single_post_categories_bg',
		'type'  => 'color',
		'title' => esc_html__( 'Categories Background', 'scribbler' ),
		'std'   => scribbler_get_settings( 'primary_color_scheme' ),
	),
	array(
		'id'    => 'single_post_categories_hover_bg',
		'type'  => 'color',
		'title' => esc_html__( 'Categories Hover Background', 'scribbler' ),
		'std'   => '#b34a4e',
	),
	array(
		'id'    => 'single_others_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Other Styling', 'scribbler' ),
	),
	array(
		'id'       => 'tags_bgcolor',
		'type'     => 'color',
		'title'    => esc_html__( 'Tags background color', 'scribbler' ),
		'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'scribbler' ),
		'std'      => '#ffffff',
	),
	array(
		'id'       => 'single_page_titles_font',
		'type'     => 'typography',
		'title'    => esc_html__( 'Single Sections Title', 'scribbler' ),
		'sub_desc' => esc_html__( 'Manage Title typography of Related Posts, Comments and Reply from here.', 'scribbler' ),
		'std'      => array(
			'preview-text'  => 'Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '38px',
			'line-height'   => '48px',
			'color'         => '#3f4351',
			'css-selectors' => '.related-posts h4, #respond h3, #respond h4, .total-comments',
		),
	),
);
