<?php
/**
 * Single Subscribe
 *
 * @package Scribbler
 */

$menus['single-subscribe'] = array(
	'icon'  => 'fa-envelope-open-o',
	'title' => esc_html__( 'Subscribe Box', 'scribbler' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Subscribe box in single posts page.', 'scribbler' ),
);

$sections['single-subscribe'] = array(

	array(
		'id'    => 'single_subscribe_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Settings', 'scribbler' ),
	),
	array(
		'id'       => 'single_subscribe_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Subscribe box Background', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe box from here.', 'scribbler' ),
		'options'  => array(
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => array(),       // false to disable, array of options to override default ( optional ).
			'attachment'    => array(),       // false to disable, array of options to override default ( optional ).
			'position'      => array(),       // false to disable, array of options to override default ( optional ).
			'size'          => array(),       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => array(),       // false to disable, array of options to override default ( optional ).
		),
		'std'      => array(
			'color'         => '#ef5b61',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => array(
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			),
			'parallax'      => '0',
		),
	),
	array(
		'id'       => 'single_subscribe_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set Subscribe box margin from here.', 'scribbler' ),
		'std'      => array(
			'top'    => '0',
			'right'  => '0',
			'bottom' => '80px',
			'left'   => '0',
		),
	),
	array(
		'id'       => 'single_subscribe_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set Subscribe box padding from here.', 'scribbler' ),
		'std'      => array(
			'top'    => '65px',
			'right'  => '14%',
			'bottom' => '45px',
			'left'   => '14%',
		),
	),
	array(
		'id'       => 'single_subscribe_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'scribbler' ),
		'sub_desc' => esc_html__( 'Select border', 'scribbler' ),
	),
	array(
		'id'       => 'single_subscribe_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'scribbler' ),
		'sub_desc' => esc_html__( 'Subscribe box border radius.', 'scribbler' ),
		'std'      => '12',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'single_subscribe_image',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Show Subscribe Email Image', 'scribbler' ),
		'options'  => array(
			'0' => esc_html__( 'Off', 'scribbler' ),
			'1' => esc_html__( 'On', 'scribbler' ),
		),
		'sub_desc' => esc_html__( 'Show/ Hide subscribe email image from here.', 'scribbler' ),
		'std'      => '1',
	),
	array(
		'id'    => 'single_subscribe_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Title Settings', 'scribbler' ),
	),
	array(
		'id'    => 'single_subscribe_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Title Font', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Subscribe Title Font',
			'preview-color' => 'dark',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '32px',
			'line-height'   => '1.75',
			'color'         => '#ffffff',
			'css-selectors' => '.single-subscribe .widget #wp-subscribe .title',
		),
	),
	array(
		'id'    => 'single_subscribe_text_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Text Settings', 'scribbler' ),
	),
	array(
		'id'    => 'single_subscribe_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Text Font', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Subscribe Text Font',
			'preview-color' => 'dark',
			'font-family'   => 'Asap',
			'font-weight'   => '400',
			'font-size'     => '18px',
			'line-height'   => '32px',
			'color'         => '#ffffff',
			'css-selectors' => '.single-subscribe .widget #wp-subscribe p.text',
		),
	),
	array(
		'id'    => 'single_subscribe_input_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Input Settings', 'scribbler' ),
	),
	array(
		'id'       => 'single_subscribe_input_background',
		'type'     => 'color',
		'title'    => esc_html__( 'Background Color', 'scribbler' ),
		'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'scribbler' ),
		'args'     => array( 'opacity' => true ),
		'std'      => 'rgba(255,255,255,0.25)',
	),
	array(
		'id'       => 'single_subscribe_input_height',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Height', 'scribbler' ),
		'sub_desc' => esc_html__( 'Subscribe box input fields height.', 'scribbler' ),
		'std'      => '48',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'single_subscribe_input_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'scribbler' ),
		'sub_desc' => esc_html__( 'Subscribe box input fields border radius.', 'scribbler' ),
		'std'      => '8',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'single_subscribe_input_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'scribbler' ),
		'sub_desc' => esc_html__( 'Select border', 'scribbler' ),
	),
	array(
		'id'    => 'single_subscribe_input_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Input Fields Font', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Subscribe Input Fields',
			'preview-color' => 'dark',
			'font-family'   => 'Asap',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => '25px',
			'color'         => '#fce0e1',
			'css-selectors' => '.single-subscribe .widget #wp-subscribe input.email-field, .single-subscribe .widget #wp-subscribe input.name-field',
		),
	),
	array(
		'id'    => 'single_subscribe_submit_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Submit Settings', 'scribbler' ),
	),
	array(
		'id'       => 'single_subscribe_submit_backgroud',
		'type'     => 'color',
		'title'    => esc_html__( 'Background Color', 'scribbler' ),
		'sub_desc' => esc_html__( 'Submit button background color', 'scribbler' ),
		'std'      => '#ffffff',
	),
	array(
		'id'       => 'single_subscribe_submit_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'scribbler' ),
		'sub_desc' => esc_html__( 'Subscribe box submit button border radius.', 'scribbler' ),
		'std'      => '8',
		'args'     => array( 'type' => 'number' ),
	),
	array(
		'id'       => 'single_subscribe_submit_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'scribbler' ),
		'sub_desc' => esc_html__( 'Select border', 'scribbler' ),
	),
	array(
		'id'       => 'single_subscribe_submit_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'scribbler' ),
		'sub_desc' => esc_html__( 'Set subscribe submit button padding from here.', 'scribbler' ),
		'std'      => array(
			'top'    => '10px',
			'right'  => '0',
			'bottom' => '10px',
			'left'   => '0',
		),
	),
	array(
		'id'    => 'single_subscribe_submit_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Submit Button Font', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Subscribe Submit Button',
			'preview-color' => 'dark',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '18px',
			'color'         => '#ffffff',
			'css-selectors' => '.single-subscribe .widget #wp-subscribe input.submit',
		),
	),
	array(
		'id'    => 'single_subscribe_small_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box small text Settings', 'scribbler' ),
	),
	array(
		'id'    => 'single_subscribe_small_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Small Text Font', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Subscribe Small Text',
			'preview-color' => 'dark',
			'font-family'   => 'Asap',
			'font-weight'   => '400',
			'font-size'     => '16px',
			'line-height'   => '24px',
			'color'         => '#ffffff',
			'css-selectors' => '.single-subscribe .widget .wp-subscribe .wps-consent-wrapper label, .single-subscribe .widget .wp-subscribe-wrap .error, .single-subscribe .widget .wp-subscribe-wrap .thanks, .single-subscribe .widget #wp-subscribe p.footer-text',
		),
	),
);
