<?php
/**
 * Single Tab
 *
 * @package Scribbler
 */

$menus['single-general'] = array(
	'icon'  => 'fa-file-o',
	'title' => esc_html__( 'General', 'scribbler' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single posts page.', 'scribbler' ),
);

$sections['single-general'] = array(

	array(
		'id'       => 'show_single_featured',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Featured image', 'scribbler' ),
		'sub_desc' => esc_html__( 'Enable/Disable the Featured images in the single post.', 'scribbler' ),
		'std'      => '1',
	),

	array(
		'id'       => 'mts_single_post_layout',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Single Post Layout', 'scribbler' ),
		'sub_desc' => esc_html__( 'Customize the look of single posts', 'scribbler' ),
		'options'  => array(
			'enabled'  => array(
				'content' => array(
					'label'     => esc_html__( 'Post Content', 'scribbler' ),
					'subfields' => array(),
				),
				'tags'    => array(
					'label'     => esc_html__( 'Tags', 'scribbler' ),
					'subfields' => array(),
				),
				'author'  => array(
					'label'     => esc_html__( 'Author Box', 'scribbler' ),
					'subfields' => array(),
				),
				'related' => array(
					'label'     => esc_html__( 'Related Posts', 'scribbler' ),
					'subfields' => array(
						array(
							'id'       => 'mts_related_posts_taxonomy',
							'type'     => 'switch',
							'title'    => esc_html__( 'Related Posts Taxonomy', 'scribbler' ),
							'options'  => array(
								'tags'       => esc_html__( 'Tags', 'scribbler' ),
								'categories' => esc_html__( 'Categories', 'scribbler' ),
							),
							'class'    => 'green',
							'sub_desc' => esc_html__( 'Related Posts based on tags or categories.', 'scribbler' ),
							'std'      => 'categories',
						),
					),
				),
			),
			'disabled' => array(
				'subscribe' => array(
					'label'     => esc_html__( 'Subscribe Box', 'scribbler' ),
					'subfields' => array(),
				),
			),
		),
	),

	array(
		'id'       => 'mts_single_headline_meta_info',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Post Meta Info', 'scribbler' ),
		'sub_desc' => esc_html__( 'Show or hide post meta info.', 'scribbler' ),
		'options'  => array(
			'authorpic' => esc_html__( 'Author Pic', 'scribbler' ),
			'author'    => esc_html__( 'Author Name', 'scribbler' ),
			'date'      => esc_html__( 'Date', 'scribbler' ),
			'comment'   => esc_html__( 'Comments', 'scribbler' ),
			'category'  => esc_html__( 'Category', 'scribbler' ),
		),
		'std'      => array(
			'authorpic',
			'author',
			'date',
			'category',
		),
	),

	array(
		'id'       => 'mts_single_category_type',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Categories', 'scribbler' ),
		'options'  => array(
			'0' => esc_html__( 'First Category', 'scribbler' ),
			'1' => esc_html__( 'ALL Categories', 'scribbler' ),
		),
		'sub_desc' => esc_html__( 'Show only first category or all the categories of single post from here.', 'scribbler' ),
		'std'      => '0',
	),

	array(
		'id'       => 'mts_breadcrumb',
		'type'     => 'switch',
		'title'    => esc_html__( 'Breadcrumbs', 'scribbler' ),
		'sub_desc' => esc_html__( 'Breadcrumbs are a great way to make your site more user-friendly. You can enable them from here.', 'scribbler' ),
		'std'      => '0',
	),
	array(
		'id'         => 'breadcrumb_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Breadcrumbs Font', 'scribbler' ),
		'std'        => array(
			'preview-text'  => 'Breadcrumbs',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => '1.8',
			'color'         => '#6f727d',
			'css-selectors' => '.breadcrumb, .breadcrumb a, .rank-math-breadcrumb, .rank-math-breadcrumb a',
		),
		'dependency' => array(
			'relation' => 'and',
			array(
				'field'      => 'mts_breadcrumb',
				'value'      => '1',
				'comparison' => '==',
			),
		),
	),

	array(
		'id'       => 'mts_author_comment',
		'type'     => 'switch',
		'title'    => esc_html__( 'Highlight Author Comment', 'scribbler' ),
		'sub_desc' => esc_html__( 'Use this button to highlight author comments.', 'scribbler' ),
		'std'      => '1',
	),

	array(
		'id'       => 'mts_comment_date',
		'type'     => 'switch',
		'title'    => esc_html__( 'Date in Comments', 'scribbler' ),
		'sub_desc' => esc_html__( 'Use this button to show the date for comments.', 'scribbler' ),
		'std'      => '1',
	),
);
