<?php
/**
 * Typography tab
 *
 * @package Scribbler
 */

$menus['typography-collection'] = array(
	'icon'       => 'fa-text-width',
	'title'      => esc_html__( 'Typography', 'scribbler' ),
	'hide_title' => true,
);

$sections['typography-collection'] = array(

	array(
		'id'    => 'typography-collections',
		'type'  => 'typography_collections',
		'title' => esc_html__( 'Theme Typography', 'scribbler' ),
		'desc'  => esc_html__( 'From here, you can control the fonts used on your site. You can choose from 17 standard font sets, or from the Google Fonts Library containing 800+ fonts.', 'scribbler' ),
	),

	array(
		'id'    => 'scribbler_logo',
		'type'  => 'typography',
		'title' => esc_html__( 'Logo Font', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Logo',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '25px',
			'color'         => scribbler_get_settings( 'primary_color_scheme' ),
			'css-selectors' => '#logo a, .logo',
		),
	),

	array(
		'id'    => 'primary_navigation_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Navigation', 'scribbler' ),
		'std'   => array(
			'preview-text'   => 'Navigation Font',
			'preview-color'  => 'light',
			'font-family'    => 'Asap',
			'font-weight'    => '600',
			'font-size'      => '13px',
			'color'          => '#3f4351',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#primary-navigation a, #secondary-navigation a',
		),
	),

	array(
		'id'    => 'content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Content Font',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '400',
			'font-size'     => '18px',
			'line-height'   => '36px',
			'color'         => '#6f727d',
			'css-selectors' => 'body',
		),
	),

	array(
		'id'    => 'sidebar_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Widget Title', 'scribbler' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Asap',
			'font-weight'    => '700',
			'font-size'      => '18px',
			'line-height'    => '1',
			'color'          => '#3f4351',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#sidebar .widget h3.widget-title, #sidebar .widget #wp-subscribe .title',
		),
	),

	array(
		'id'    => 'sidebar_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Font', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Font',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '400',
			'font-size'     => '15px',
			'line-height'   => '28px',
			'color'         => '#a09195',
			'css-selectors' => '#sidebar .widget, #sidebar .widget .post-excerpt',
		),
	),

	array(
		'id'    => 'sidebar_links_widgets',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Links Widgets', 'scribbler' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Links Widgets',
			'preview-color'  => 'light',
			'font-family'    => 'Asap',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'line-height'    => '18px',
			'color'          => '#3f4351',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#sidebar .widget.widget_archive a, #sidebar .widget.widget_categories a, #sidebar .widget.widget_pages a, .widget.widget_tag_cloud a, #sidebar .widget.widget_meta a, #sidebar .widget.widget_nav_menu a, #sidebar-archives a, #sidebar-meta a',
		),
	),

	array(
		'id'    => 'sidebar_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Posts Title', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Posts Titles',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '16px',
			'line-height'   => '20px',
			'color'         => '#3f4351',
			'css-selectors' => '.sidebar .post-title a, .sidebar .entry-title a, .sidebar .wpt_comment_meta a',
		),
	),

	array(
		'id'    => 'sidebar_big_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Big Posts Title', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Sidebar Big Posts Titles',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '18px',
			'line-height'   => '24px',
			'color'         => '#3f4351',
			'css-selectors' => '.sidebar .vertical-small .post-title a, .sidebar .wpt_thumb_large + .entry-title a, .sidebar .review_thumb_large .entry-title a',
		),
	),

	array(
		'id'    => 'sidebar_postinfo_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Meta font', 'scribbler' ),
		'std'   => array(
			'preview-text'   => 'Sidebar Meta Font',
			'preview-color'  => 'light',
			'font-family'    => 'Asap',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'color'          => '#a09195',
			'letter-spacing' => '1px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.sidebar .widget .post-info, .sidebar .widget .wpt_widget_content .wpt-postmeta, .sidebar .wp_review_tab_widget_content .wp-review-tab-postmeta',
		),
	),

	array(
		'id'    => 'top_footer_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Widget Title', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Footer Title Font',
			'preview-color' => 'dark',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '14px',
			'line-height'   => '16px',
			'color'         => '#ffffff',
			'css-selectors' => '.footer-widgets h3, #site-footer .widget #wp-subscribe .title',
		),
	),

	array(
		'id'    => 'top_footer_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer font', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Footer Font',
			'preview-color' => 'dark',
			'font-family'   => 'Asap',
			'font-weight'   => '400',
			'font-size'     => '15px',
			'line-height'   => '28px',
			'color'         => '#8f9197',
			'css-selectors' => '.footer-widgets, footer .widget .wpt_excerpt, footer .advanced-recent-posts p, footer .popular-posts p, footer .category-posts p',
		),
	),

	array(
		'id'    => 'footer_links_widgets',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Links Widgets', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Footer Links Widgets',
			'preview-color' => 'dark',
			'font-family'   => 'Asap',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => '16px',
			'color'         => '#8f9197',
			'css-selectors' => '#site-footer .widget.widget_archive a, #site-footer .widget.widget_categories a, #site-footer .widget.widget_pages a, #site-footer .widget.widget_tag_cloud a, #site-footer .widget.widget_meta a, #site-footer .widget.widget_nav_menu a',
		),
	),

	array(
		'id'    => 'top_footer_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Post Title', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Footer Posts Title',
			'preview-color' => 'dark',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '16px',
			'line-height'   => '20px',
			'color'         => '#8f9197',
			'css-selectors' => '#site-footer .post-title a, #site-footer .entry-title a',
		),
	),

	array(
		'id'    => 'footer_big_post_title',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Big Posts Title', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'Footer Big Posts Titles',
			'preview-color' => 'dark',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '18px',
			'line-height'   => '24px',
			'color'         => '#8f9197',
			'css-selectors' => '#site-footer .vertical-small .post-title a, #site-footer .wpt_thumb_large + .entry-title a, #site-footer .review_thumb_large .entry-title a',
		),
	),

	array(
		'id'    => 'top_footer_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Meta font', 'scribbler' ),
		'std'   => array(
			'preview-text'   => 'Footer Font',
			'preview-color'  => 'light',
			'font-family'    => 'Asap',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'color'          => '#a09195',
			'letter-spacing' => '1px',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => 'footer .widget .post-info, footer .widget .wpt_widget_content .wpt-postmeta, footer .wp_review_tab_widget_content .wp-review-tab-postmeta',
		),
	),

	array(
		'id'    => 'h1_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H1 Heading in Content', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'H1 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '48px',
			'color'         => '#3f4351',
			'css-selectors' => 'h1',
		),
	),

	array(
		'id'    => 'h2_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H2 Heading in Content', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'H2 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '40px',
			'color'         => '#3f4351',
			'css-selectors' => 'h2',
		),
	),

	array(
		'id'    => 'h3_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H3 Heading in Content', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'H3 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '38px',
			'color'         => '#3f4351',
			'css-selectors' => 'h3',
		),
	),

	array(
		'id'    => 'h4_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H4 Heading in Content', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'H4 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '34px',
			'color'         => '#3f4351',
			'css-selectors' => 'h4',
		),
	),

	array(
		'id'    => 'h5_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H5 Heading in Content', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'H5 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '32px',
			'color'         => '#3f4351',
			'css-selectors' => 'h5',
		),
	),

	array(
		'id'    => 'h6_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H6 Heading in Content', 'scribbler' ),
		'std'   => array(
			'preview-text'  => 'H6 Headline',
			'preview-color' => 'light',
			'font-family'   => 'Asap',
			'font-weight'   => '700',
			'font-size'     => '30px',
			'color'         => '#3f4351',
			'css-selectors' => 'h6',
		),
	),

	array(
		'id'       => 'typography-subsets',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Character sets', 'scribbler' ),
		'sub_desc' => esc_html__( 'Choose the character sets you wish to include. Please note that not all sets are available for all fonts.', 'scribbler' ),
		'options'  => array(
			'latin'        => esc_html__( 'Latin', 'scribbler' ),
			'latin-ext'    => esc_html__( 'Latin Extended', 'scribbler' ),
			'cyrillic'     => esc_html__( 'Cyrillic', 'scribbler' ),
			'cyrillic-ext' => esc_html__( 'Cyrillic Extended', 'scribbler' ),
			'greek'        => esc_html__( 'Greek', 'scribbler' ),
			'greek-ext'    => esc_html__( 'Greek Extended', 'scribbler' ),
			'vietnamese'   => esc_html__( 'Vietnamese', 'scribbler' ),
			'khmer'        => esc_html__( 'Khmer', 'scribbler' ),
			'devanagari'   => esc_html__( 'Devanagari', 'scribbler' ),
		),
		'std'      => array( 'latin' ),
	),
);
