<?php

/*-----------------------------------------------------------------------------------

	Plugin Name: Social Profile Icons
	Description: Show social profile icons in sidebar or footer.
	Version: 2.0

-----------------------------------------------------------------------------------*/

//Widget Registration.

function mts_load_widget() {

	register_widget( 'Social_Profile_Icons_Widget' );

}
if ( ! class_exists( 'Social_Profile_Icons_Widget' ) ) {
	class Social_Profile_Icons_Widget extends WP_Widget {

		protected $defaults;
		protected $sizes;
		protected $profiles;

		function __construct() {

			add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_scripts' ) );
			add_action( 'admin_footer-widgets.php', array( $this, 'print_scripts' ), 9999 );
			add_action( 'admin_footer-widgets.php', array( $this, 'scribbler_social_custom_stylings' ), 9999 );

			$this->defaults = array(
				'title'             => 'Follow Us',
				'social_font_color' => '#e4ebff',
				'social_bg_color'   => '',
				'font_size'         => 24,
				'font_icon_size'    => 110,
				'br_radius'         => 12,
				'pd_top'            => 28,
				'pd_right'          => 0,
				'pd_bottom'         => 28,
				'pd_left'           => 30,
				'box_layout'        => 'column',
				'icon_top'          => -15,
				'icon_right'        => 5,
				'show_icon'         => 1,
				'show_text'         => 1,
				'do_transform'      => 1,
				'box_shadow'        => 1,
				'new_window'        => 0,
				'size'              => 24,
				'facebook'          => '',
				'behance'           => '',
				'flickr'            => '',
				'pinterest'         => '',
				'instagram'         => '',
				'dribbble'          => '',
				'linkedin'          => '',
				'skype'             => '',
				'soundcloud'        => '',
				'email'             => '',
				'rss'               => '',
				'stumbleupon'       => '',
				'twitter'           => '',
				'youtube'           => '',
				'vimeo'             => '',
				'foursquare'        => '',
				'reddit'            => '',
				'github'            => '',
				'dropbox'           => '',
				'tumblr'            => '',
			);

			$this->sizes = array( '32' );

			$this->profiles = array(
				'facebook'    => array(
					'label'              => __( 'Facebook URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-facebook"><a title="Facebook" href="%s" %s><span class="widget-social-text">' . esc_html__( 'Facebook', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-facebook-official"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#e4ebff',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#3b5dbd',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'behance'     => array(
					'label'              => __( 'Behance URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-behance"><a title="Behance" href="%s" %s><span class="widget-social-text">' . esc_html__( 'Behance', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-behance"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#e4ebff',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#131418',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'flickr'      => array(
					'label'              => __( 'Flickr URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-flickr"><a title="Flickr" href="%s" %s><span class="widget-social-text">' . esc_html__( 'Flickr', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-flickr"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#e4ebff',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#ff0084',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'pinterest'   => array(
					'label'              => __( 'Pinterest URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-pinterest"><a title="Pinterest" href="%s" %s><span class="widget-social-text">' . esc_html__( 'Pinterest', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-pinterest"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#e4ebff',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#bd081c',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'instagram'   => array(
					'label'              => __( 'Instagram URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-instagram"><a title="Instagram" href="%s" %s><span class="widget-social-text">' . esc_html__( 'Instagram', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-instagram"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#e4ebff',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#e4405f',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'dribbble'    => array(
					'label'              => __( 'Dribbble URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-dribbble"><a title="Dribbble" href="%s" %s><span class="widget-social-text">' . esc_html__( 'Dribbble', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-dribbble"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#e4ebff',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#ea4c89',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'linkedin'    => array(
					'label'              => __( 'Linkedin URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-linkedin"><a title="LinkedIn" href="%s" %s><span class="widget-social-text">' . esc_html__( 'LinkedIn', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-linkedin"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#e4ebff',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#0077B5',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'soundcloud'  => array(
					'label'              => __( 'Soundcloud URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-soundcloud"><a title="Soundcloud" href="%s" %s><span class="widget-social-text">' . esc_html__( 'Soundcloud', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-soundcloud"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#e4ebff',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#ff3300',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'twitter'     => array(
					'label'              => __( 'Twitter URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-twitter"><a title="Twitter" href="%s" %s><span class="widget-social-text">' . esc_html__( 'Twitter', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-twitter"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#186ea4',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#79c9fb',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'vimeo'       => array(
					'label'              => __( 'Vimeo URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-vimeo"><a title="Vimeo" href="%s" %s><span class="widget-social-text">' . esc_html__( 'Vimeo', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-vimeo-square"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#186ea4',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#1ab7ea',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'stumbleupon' => array(
					'label'              => __( 'StumbleUpon URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-stumbleupon"><a title="StumbleUpon" href="%s" %s><span class="widget-social-text">' . esc_html__( 'StumbleUpon', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-stumbleupon"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#186ea4',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#eb4924',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'tumblr'      => array(
					'label'              => __( 'Tumblr URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-tumblr"><a title="Tumblr" href="%s" %s><span class="widget-social-text">' . esc_html__( 'Tumblr', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-tumblr"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#186ea4',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#34465d',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'github'      => array(
					'label'              => __( 'GitHub URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-github"><a title="GitHub" href="%s" %s><span class="widget-social-text">' . esc_html__( 'GitHub', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-github-alt"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#e4ebff',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#000000',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'youtube'     => array(
					'label'              => __( 'YouTube URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-youtube"><a title="YouTube" href="%s" %s><span class="widget-social-text">' . esc_html__( 'YouTube', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-youtube-play"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#e4ebff',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#cd201f',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'foursquare'  => array(
					'label'              => __( 'FourSquare URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-foursquare"><a title="FourSquare" href="%s" %s><span class="widget-social-text">' . esc_html__( 'FourSquare', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-foursquare"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#e4ebff',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#f94877',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'reddit'      => array(
					'label'              => __( 'Reddit URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-reddit"><a title="Reddit" href="%s" %s><span class="widget-social-text">' . esc_html__( 'Reddit', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-reddit"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#e4ebff',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#ff5700',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'dropbox'     => array(
					'label'              => __( 'Dropbox URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-dropbox"><a title="Dropbox" href="%s" %s><span class="widget-social-text">' . esc_html__( 'Dropbox', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-dropbox"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#186ea4',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#007ee5',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'skype'       => array(
					'label'              => __( 'Skype URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-skype"><a title="Skype" href="%s" %s><span class="widget-social-text">' . esc_html__( 'Skype', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-skype"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#186ea4',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#00AFF0',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'email'       => array(
					'label'              => __( 'Email URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-email"><a title="Email" href="%s" %s><span class="widget-social-text">' . esc_html__( 'Email', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-envelope-o"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#e4ebff',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#131418',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
				'rss'         => array(
					'label'              => __( 'RSS URI', 'scribbler' ),
					'text'               => __( 'Styling Options', 'scribbler' ),
					'pattern'            => '<li class="social-rss"><a title="RSS" href="%s" %s><span class="widget-social-text">' . esc_html__( 'RSS', 'scribbler' ) . '</span><span class="widget-social-icon"><i class="fa fa-rss"></i></span></a></li>',
					'social_color'       => __( 'Color', 'scribbler' ),
					'social_color_value' => '#e4ebff',
					'social_bg'          => __( 'Background', 'scribbler' ),
					'social_bg_value'    => '#ee802f',
					'hover_color'        => __( 'Hover Color', 'scribbler' ),
					'hover_color_value'  => '',
					'hover_bg'           => __( 'Hover Background', 'scribbler' ),
					'hover_bg_value'     => '',
				),
			);

			$widget_ops = array(
				'classname'   => 'social-profile-icons',
				'description' => __( 'Show profile icons.', 'scribbler' ),
			);

			$control_ops = array(
				'id_base' => 'social-profile-icons',
				#'width'   => 505,
				#'height'  => 350,
			);

			parent::__construct( 'social-profile-icons', sprintf( __( '%sSocial Profile Icons', 'scribbler' ), MTS_THEME_WHITE_LABEL ? '' : 'MTS ' ), $widget_ops, $control_ops );

		}

		/**
		 * Enqueue scripts.
		 *
		 * @since 1.0
		 *
		 * @param string $hook_suffix
		 */
		public function enqueue_scripts( $hook_suffix ) {
			if ( 'widgets.php' !== $hook_suffix ) {
				return;
			}

			wp_enqueue_style( 'wp-color-picker' );
			wp_enqueue_script( 'wp-color-picker' );
		}

		/**
		 * Print scripts.
		 *
		 * @since 1.0
		 */
		public function print_scripts() {
			?>
			<script>
				( function( $ ){
					function initColorPicker( widget ) {
						widget.find( '.color-picker' ).wpColorPicker( {
							change: _.throttle( function() { // For Customizer
								$(this).trigger( 'change' );
							}, 3000 )
						});
					}

					function onFormUpdate( event, widget ) {
						initColorPicker( widget );
					}

					$( document ).on( 'widget-added widget-updated', onFormUpdate );

					$( document ).ready( function() {
						$( '#widgets-right .widget:has(.color-picker)' ).each( function () {
							initColorPicker( $( this ) );
						} );
					} );
				}( jQuery ) );
			</script>
			<?php
		}

		public function scribbler_social_custom_stylings() {
			?>
			<style>
				.widget .wp-picker-active {
					position: relative;
					z-index: 2;
				}
				.wp-picker-container .wp-color-result.button { margin-right: 0 }
				.styling-options {
					clear: both;
					margin-top: 20px;
					position: relative;
				}
				.widget .wp-picker-container { right: auto }
				.wp-picker-holder { z-index: 0 }
				.styling-option {
					position: absolute;
					right: 0;
					top: -68px;
					cursor: pointer;
				}
				.styling-options p {
					display: none;
					transition: linear 0.25s ease;
					margin-top: 0;
					margin-bottom: 35px;
				}
				.styling-options label {
					margin-right: 20px;
				}
			</style>

			<script>
				(function ($) {

					function onSocialUpdate() {
						var $options = $('.styling-option');
						$options.on('click', function(e) {
							e.preventDefault();
							$(this).parent().children('p').slideToggle('fast');
						});
					}

					$( document ).on( 'widget-added widget-updated', onSocialUpdate );

					$( document ).ready( function() {
						onSocialUpdate();
					} );

				}( jQuery ) );
			</script>

			<?php
		}

		/**
		 * Widget Form.
		 *
		 * Outputs the widget form that allows users to control the output of the widget.
		 *
		 */
		function form( $instance ) {

			/** Merge with defaults */
			$instance   = wp_parse_args( (array) $instance, $this->defaults );
			$box_layout = $instance['box_layout'];
			?>

			<p><label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:', 'scribbler' ); ?></label> <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $instance['title'] ); ?>" /></p>

			<h3><?php _e( 'Normal State', 'scribbler' ); ?></h3>
			<hr style="background: #ccc; border: 0; height: 1px; margin: 20px 0 0;" />
			<!-- Font Color -->
			<p style="float: left; width: 48%; margin-bottom: 30px;">
				<label for="<?php echo $this->get_field_id( 'social_font_color' ); ?>"><?php _e( 'Font Color', 'scribbler' ); ?></label><br>
				<input type="text" name="<?php echo $this->get_field_name( 'social_font_color' ); ?>" class="color-picker" id="<?php echo $this->get_field_id( 'social_font_color' ); ?>" value="<?php echo $instance['social_font_color']; ?>" data-default-color="#4a5166" />
			</p>

			<!-- Background Color -->
			<p style="float: right; width: 48%; margin-bottom: 30px;">
				<label for="<?php echo $this->get_field_id( 'social_bg_color' ); ?>"><?php _e( 'Background Color', 'scribbler' ); ?></label><br>
				<input type="text" name="<?php echo $this->get_field_name( 'social_bg_color' ); ?>" class="color-picker" id="<?php echo $this->get_field_id( 'social_bg_color' ); ?>" value="<?php echo $instance['social_bg_color']; ?>" data-default-color="#ffffff" />
			</p>

			<!-- Font-size -->
			<p style="float: left; width: 48%;">
				<label for="<?php echo $this->get_field_id( 'font_size' ); ?>"><?php _e( 'Font Size', 'scribbler' ); ?></label>
				<input id="<?php echo $this->get_field_id( 'font_size' ); ?>" name="<?php echo $this->get_field_name( 'font_size' ); ?>" type="number" min="1" step="1" value="<?php echo esc_attr( $instance['font_size'] ); ?>" />
			</p>


			<!-- Border Radius -->
			<p style="float: right; width: 48%;">
				<label for="<?php echo $this->get_field_id( 'br_radius' ); ?>"><?php _e( 'Border Radius', 'scribbler' ); ?></label>
				<input id="<?php echo $this->get_field_id( 'br_radius' ); ?>" name="<?php echo $this->get_field_name( 'br_radius' ); ?>" type="number" value="<?php echo esc_attr( $instance['br_radius'] ); ?>" />
			</p>

			<!-- Padding-->
			<p>
				<p style="font-size: 14px; margin-bottom: 0;"><strong><?php _e( 'Padding', 'scribbler' ); ?></strong></p>
				<p style="float: left; width: 22%; margin-right: 4%;">
					<label for="<?php echo $this->get_field_id( 'pd_top' ); ?>"><?php _e( 'Top', 'scribbler' ); ?></label>
					<input id="<?php echo $this->get_field_id( 'pd_top' ); ?>" name="<?php echo $this->get_field_name( 'pd_top' ); ?>" type="number" value="<?php echo esc_attr( $instance['pd_top'] ); ?>" style="width: 100%" />
				</p>

				<!-- Padding Right-->
				<p style="float: left; width: 22%; margin-right: 4%;">
					<label for="<?php echo $this->get_field_id( 'pd_right' ); ?>"><?php _e( 'Right', 'scribbler' ); ?></label>
					<input id="<?php echo $this->get_field_id( 'pd_right' ); ?>" name="<?php echo $this->get_field_name( 'pd_right' ); ?>" type="number" value="<?php echo esc_attr( $instance['pd_right'] ); ?>" style="width: 100%" />
				</p>

				<!-- Padding Bottom-->
				<p style="float: left; width: 22%; margin-right: 4%;">
					<label for="<?php echo $this->get_field_id( 'pd_bottom' ); ?>"><?php _e( 'Bottom', 'scribbler' ); ?></label>
					<input id="<?php echo $this->get_field_id( 'pd_bottom' ); ?>" name="<?php echo $this->get_field_name( 'pd_bottom' ); ?>" type="number" value="<?php echo esc_attr( $instance['pd_bottom'] ); ?>" style="width: 100%" />
				</p>

				<!-- Padding Left-->
				<p style="float: left; width: 22%;">
					<label for="<?php echo $this->get_field_id( 'pd_left' ); ?>"><?php _e( 'Left', 'scribbler' ); ?></label>
					<input id="<?php echo $this->get_field_id( 'pd_left' ); ?>" name="<?php echo $this->get_field_name( 'pd_left' ); ?>" type="number" value="<?php echo esc_attr( $instance['pd_left'] ); ?>" style="width: 100%" />
				</p>
			</p>

			<p style="float: left; width: 100%;clear: both;">
				<label for="<?php echo $this->get_field_id( 'box_layout' ); ?>"><?php _e( 'Social Layout:', 'scribbler' ); ?></label>
				<select id="<?php echo $this->get_field_id( 'box_layout' ); ?>" name="<?php echo $this->get_field_name( 'box_layout' ); ?>">
					<option value="column" <?php selected( $box_layout, 'column', true ); ?>><?php _e( 'Column', 'scribbler' ); ?></option>
					<option value="row" <?php selected( $box_layout, 'row', true ); ?>><?php _e( 'Row', 'scribbler' ); ?></option>
				</select>
			</p>

			<p style="float: left; width: 100%;clear: both;"><label><input id="<?php echo $this->get_field_id( 'show_icon' ); ?>" type="checkbox" name="<?php echo $this->get_field_name( 'show_icon' ); ?>" value="1" <?php checked( 1, $instance['show_icon'] ); ?>/> <?php esc_html_e( 'Show Icon', 'scribbler' ); ?></label><small><?php _e( ' ( For Column Layout ) ', 'scribbler' ); ?></small></p>

			<p style="float: left; width: 100%;clear: both;"><label><input id="<?php echo $this->get_field_id( 'show_text' ); ?>" type="checkbox" name="<?php echo $this->get_field_name( 'show_text' ); ?>" value="1" <?php checked( 1, $instance['show_text'] ); ?>/> <?php esc_html_e( 'Show Text', 'scribbler' ); ?></label><small><?php _e( ' ( For Column Layout ) ', 'scribbler' ); ?></small></p>

			<p style="float: left; width: 100%;clear: both;"><label><input id="<?php echo $this->get_field_id( 'do_transform' ); ?>" type="checkbox" name="<?php echo $this->get_field_name( 'do_transform' ); ?>" value="1" <?php checked( 1, $instance['do_transform'] ); ?>/> <?php esc_html_e( 'Icon Transform', 'scribbler' ); ?></label><small><?php _e( ' ( For Column Layout ) ', 'scribbler' ); ?></small></p>

			<p style="float: left; width: 100%;clear: both;"><label><input id="<?php echo $this->get_field_id( 'box_shadow' ); ?>" type="checkbox" name="<?php echo $this->get_field_name( 'box_shadow' ); ?>" value="1" <?php checked( 1, $instance['box_shadow'] ); ?>/> <?php esc_html_e( 'Box Shadow', 'scribbler' ); ?></label><small><?php _e( ' ( For Column Layout ) ', 'scribbler' ); ?></small></p>

			<p style="float: left; width: 100%;clear: both;"><label><input id="<?php echo $this->get_field_id( 'new_window' ); ?>" type="checkbox" name="<?php echo $this->get_field_name( 'new_window' ); ?>" value="1" <?php checked( 1, $instance['new_window'] ); ?>/> <?php esc_html_e( 'Open links in new window?', 'scribbler' ); ?></label></p>

			<!-- Font-Icon-size -->
			<p style="float: left; width: 100%;clear: both;">
				<label for="<?php echo $this->get_field_id( 'font_icon_size' ); ?>"><?php _e( 'Icon Size', 'scribbler' ); ?></label>
				<input id="<?php echo $this->get_field_id( 'font_icon_size' ); ?>" name="<?php echo $this->get_field_name( 'font_icon_size' ); ?>" type="number" min="1" step="1" value="<?php echo esc_attr( $instance['font_icon_size'] ); ?>" />
			</p>

			<!-- Icon Position-->
			<p>
				<p style="font-size: 14px; margin-bottom: 0;"><strong><?php _e( 'Icon Position', 'scribbler' ); ?></strong><small><?php _e( ' ( For Column Layout ) ', 'scribbler' ); ?></small></p>
				<p style="float: left; width: 44%; margin-right: 4%;">
					<label for="<?php echo $this->get_field_id( 'icon_top' ); ?>"><?php _e( 'Top', 'scribbler' ); ?></label>
					<input id="<?php echo $this->get_field_id( 'icon_top' ); ?>" name="<?php echo $this->get_field_name( 'icon_top' ); ?>" type="number" value="<?php echo esc_attr( $instance['icon_top'] ); ?>" style="width: 100%" />
				</p>

				<!-- Right-->
				<p style="float: left; width: 44%; margin-right: 4%;">
					<label for="<?php echo $this->get_field_id( 'icon_right' ); ?>"><?php _e( 'Right', 'scribbler' ); ?></label>
					<input id="<?php echo $this->get_field_id( 'icon_right' ); ?>" name="<?php echo $this->get_field_name( 'icon_right' ); ?>" type="number" value="<?php echo esc_attr( $instance['icon_right'] ); ?>" style="width: 100%" />
				</p>
			</p>

			<hr style="background: #ccc; border: 0; height: 1px; margin: 20px 0;" />

			<?php
			foreach ( (array) $this->profiles as $profile => $data ) {

				$social_color_value = isset( $instance[ $profile . 'social_color_value' ] ) ? esc_attr( $instance[ $profile . 'social_color_value' ] ) : '';
				$social_bg_value    = isset( $instance[ $profile . 'social_bg_value' ] ) ? esc_attr( $instance[ $profile . 'social_bg_value' ] ) : '';
				$hover_color_value  = isset( $instance[ $profile . 'hover_color_value' ] ) ? esc_attr( $instance[ $profile . 'hover_color_value' ] ) : '';
				$hover_bg_value     = isset( $instance[ $profile . 'hover_bg_value' ] ) ? esc_attr( $instance[ $profile . 'hover_bg_value' ] ) : '';

				printf( '<p><label for="%s">%s</label>', esc_attr( $this->get_field_id( $profile ) ), esc_attr( $data['label'] ) );
				printf( '<input type="text" id="%s" class="widefat" name="%s" value="%s" /></p>', esc_attr( $this->get_field_id( $profile ) ), esc_attr( $this->get_field_name( $profile ) ), esc_url( $instance[ $profile ] ) );

				printf( '<div class="styling-options"><div class="styling-option">%s</div>', esc_attr( $data['text'] ) );
				/*social color field*/
				printf( '<p><label for="%s">%s</label>', esc_attr( $this->get_field_id( $profile . 'social_color_value' ) ), esc_attr( $data['social_color'] ) );
				printf( '<input type="text" id="%s" class="color-picker" name="%s" value="%s" data-default-color="%s" /></p>', esc_attr( $this->get_field_id( $profile . 'social_color_value' ) ), esc_attr( $this->get_field_name( $profile . 'social_color_value' ) ), $social_color_value, $data['social_color_value'] );
				/*social background field*/
				printf( '<p><label for="%s">%s</label>', esc_attr( $this->get_field_id( $profile . 'social_bg_value' ) ), esc_attr( $data['social_bg'] ) );
				printf( '<input type="text" id="%s" class="color-picker" name="%s" value="%s" data-default-color="%s" /></p>', esc_attr( $this->get_field_id( $profile . 'social_bg_value' ) ), esc_attr( $this->get_field_name( $profile . 'social_bg_value' ) ), $social_bg_value, $data['social_bg_value'] );
				/*social hover color*/
				printf( '<p><label for="%s">%s</label>', esc_attr( $this->get_field_id( $profile . 'hover_color_value' ) ), esc_attr( $data['hover_color'] ) );
				printf( '<input type="text" id="%s" class="color-picker" name="%s" value="%s" data-default-color="%s" /></p>', esc_attr( $this->get_field_id( $profile . 'hover_color_value' ) ), esc_attr( $this->get_field_name( $profile . 'hover_color_value' ) ), $hover_color_value, $data['hover_color_value'] );
				/*social hover background color*/
				printf( '<p><label for="%s">%s</label>', esc_attr( $this->get_field_id( $profile . 'hover_bg_value' ) ), esc_attr( $data['hover_bg'] ) );
				printf( '<input type="text" id="%s" class="color-picker" name="%s" value="%s" data-default-color="%s" /></p></div>', esc_attr( $this->get_field_id( $profile . 'hover_bg_value' ) ), esc_attr( $this->get_field_name( $profile . 'hover_bg_value' ) ), $hover_bg_value, $data['hover_bg_value'] );
			}

		}

		/**
		 * Form validation and sanitization.
		 *
		 * Runs when you save the widget form. Allows you to validate or sanitize widget options before they are saved.
		 *
		 */
		function update( $newinstance, $oldinstance ) {

			foreach ( (array) $this->profiles as $profile => $data ) {
				$newinstance[ $profile . 'social_color_value' ] = sanitize_hex_color( $newinstance[ $profile . 'social_color_value' ] );
				$newinstance[ $profile . 'social_bg_value' ]    = sanitize_hex_color( $newinstance[ $profile . 'social_bg_value' ] );
				$newinstance[ $profile . 'hover_color_value' ]  = sanitize_hex_color( $newinstance[ $profile . 'hover_color_value' ] );
				$newinstance[ $profile . 'hover_bg_value' ]     = sanitize_hex_color( $newinstance[ $profile . 'hover_bg_value' ] );
			}

			$newinstance['social_bg_color']   = sanitize_hex_color( $newinstance['social_bg_color'] );
			$newinstance['social_font_color'] = sanitize_hex_color( $newinstance['social_font_color'] );
			$newinstance['font_size']         = intval( $newinstance['font_size'] );
			$newinstance['br_radius']         = intval( $newinstance['br_radius'] );
			$newinstance['font_icon_size']    = intval( $newinstance['font_icon_size'] );
			$newinstance['pd_top']            = intval( $newinstance['pd_top'] );
			$newinstance['pd_right']          = intval( $newinstance['pd_right'] );
			$newinstance['pd_bottom']         = intval( $newinstance['pd_bottom'] );
			$newinstance['pd_left']           = intval( $newinstance['pd_left'] );
			$newinstance['box_layout']        = $newinstance['box_layout'];
			$newinstance['icon_top']          = intval( $newinstance['icon_top'] );
			$newinstance['icon_right']        = intval( $newinstance['icon_right'] );
			$newinstance['show_icon']         = intval( $newinstance['show_icon'] );
			$newinstance['show_text']         = intval( $newinstance['show_text'] );
			$newinstance['do_transform']      = intval( $newinstance['do_transform'] );
			$newinstance['box_shadow']        = intval( $newinstance['box_shadow'] );

			foreach ( $newinstance as $key => $value ) {
				if ( array_key_exists( $key, (array) $this->profiles ) ) {
					$newinstance[ $key ] = esc_url( $newinstance[ $key ] );
				}
			}

			return $newinstance;
		}

		/**
		 * Widget Output.
		 *
		 * Outputs the actual widget on the front-end based on the widget options the user selected.
		 *
		 */
		function widget( $args, $instance ) {

			extract( $args );

			/** Merge with defaults */
			$instance = wp_parse_args( (array) $instance, $this->defaults );

			echo $before_widget;

			if ( ! empty( $instance['title'] ) ) {
				echo $before_title . apply_filters( 'widget_title', $instance['title'], $instance, $this->id_base ) . $after_title;
			}

			$output = '';

			$social_font_color = sanitize_hex_color( $instance['social_font_color'] );
			$social_bg_color   = sanitize_hex_color( $instance['social_bg_color'] );
			$font_size         = esc_attr( $instance['font_size'] ) . 'px';
			$font_icon_size    = esc_attr( $instance['font_icon_size'] ) . 'px';
			$br_radius         = esc_attr( $instance['br_radius'] ) . 'px';
			$pd_top            = esc_attr( $instance['pd_top'] ) . 'px';
			$pd_right          = esc_attr( $instance['pd_right'] ) . 'px';
			$pd_bottom         = esc_attr( $instance['pd_bottom'] ) . 'px';
			$pd_left           = esc_attr( $instance['pd_left'] ) . 'px';
			$box_layout        = $instance['box_layout'];
			$icon_top          = esc_attr( $instance['icon_top'] ) . 'px';
			$icon_right        = esc_attr( $instance['icon_right'] ) . 'px';
			$show_icon         = $instance['show_icon'];
			$show_text         = $instance['show_text'];
			$do_transform      = $instance['do_transform'];
			$box_shadow        = $instance['box_shadow'];
			$new_window        = $instance['new_window'] ? 'target="_blank"' : '';

			foreach ( (array) $this->profiles as $profile => $data ) {
				if ( ! empty( $instance[ $profile ] ) ) {
					$output .= sprintf( $data['pattern'], esc_url( $instance[ $profile ] ), $new_window );
				}
			}

			if ( 'row' === $box_layout ) {
				$class = 'social-row';
			} else {
				$class = 'social-column';
			}

			if ( $output ) {
				printf( '<div class="social-profile-icons ' . $class . '"><ul class="%s">%s</ul></div>', '', $output );
			}
			?>

			<?php echo $after_widget; ?>

			<style>
				<?php echo '#' . $this->id; ?> .social-profile-icons .widget-social-text { font-size: <?php echo $font_size; ?> }
				<?php echo '#' . $this->id; ?> .social-profile-icons .widget-social-icon { font-size: <?php echo $font_icon_size; ?> }
				<?php echo '#' . $this->id; ?> .social-profile-icons ul li a {
					color: <?php echo $social_font_color; ?>!important;
					background: <?php echo $social_bg_color; ?>;
					border-radius: <?php echo $br_radius; ?>;
					padding-top: <?php echo $pd_top; ?>;
					padding-right: <?php echo $pd_right; ?>;
					padding-bottom: <?php echo $pd_bottom; ?>;
					padding-left: <?php echo $pd_left; ?>;
				}
				<?php echo '#' . $this->id; ?> .social-profile-icons.social-column .widget-social-icon {
					top: <?php echo $icon_top; ?>;
					right: <?php echo $icon_right; ?>;
				}
				<?php
				if ( 0 === $show_icon ) :
					echo '#' . $this->id; ?> .widget-social-icon { display: none; }
					<?php
				endif;
				if ( 0 === $show_text ) :
					echo '#' . $this->id; ?> .widget-social-text { display: none; }
					<?php
				endif;
				if ( 0 === $do_transform ) :
					echo '#' . $this->id; ?> .widget-social-icon { -webkit-transform: none; transform: none; }
					<?php
				endif;
				if ( 0 === $box_shadow ) :
					echo '#' . $this->id; ?> .social-profile-icons.social-column ul li a { box-shadow: none; }
					<?php
				endif;
				?>
				<?php
				foreach ( (array) $this->profiles as $profile => $data ) {
					echo '#' . $this->id . ' .social-profile-icons .social-' . $profile . ' a { color: ' . $instance[ $profile . 'social_color_value' ] . '!important; background: ' . $instance[ $profile . 'social_bg_value' ] . '; }';
					echo '#' . $this->id . ' .social-profile-icons .social-' . $profile . ' a:hover { color: ' . $instance[ $profile . 'hover_color_value' ] . '!important; background: ' . $instance[ $profile . 'hover_bg_value' ] . '; border-color: ' . $instance[ $profile . 'hover_bg_value' ] . '; }';
				}
				?>
			</style>

			<?php
		}
	}
}
add_action( 'widgets_init', 'mts_load_widget' );
