<?php
/**
 * Header Primary Nav
 *
 * @package Scribbler
 */

$header_layout = scribbler_get_settings( 'header_styles' )
?>

<div<?php scribbler_attr( 'menu', 'primary' ); ?>>

		<a href="#" id="pull" class="toggle-mobile-menu"><span><?php _e( 'Menu', 'scribbler' ); ?></span></a>
		<?php if ( has_nav_menu( 'mobile' ) ) { ?>

			<nav class="navigation clearfix">
				<?php
				// Primary Navigation.
				if ( has_nav_menu( 'primary-menu' ) ) {
					wp_nav_menu( array(
						'theme_location' => 'primary-menu',
						'menu_class'     => 'menu clearfix',
						'container'      => '',
						'walker'         => new scribbler_menu_walker(),
					));
				}
				?>
			</nav>
			<nav class="navigation mobile-only clearfix mobile-menu-wrapper">
				<?php
				// Mobile Menu.
				if ( has_nav_menu( 'mobile' ) ) {
					wp_nav_menu( array(
						'theme_location' => 'mobile',
						'menu_class'     => 'menu clearfix',
						'container'      => '',
						'walker'         => new scribbler_menu_walker(),
					));
				}
				?>
			</nav>

		<?php } else { ?>

			<nav class="navigation clearfix mobile-menu-wrapper">
				<?php
				// Primary Navigation.
				if ( has_nav_menu( 'primary-menu' ) ) {
					wp_nav_menu( array(
						'theme_location' => 'primary-menu',
						'menu_class'     => 'menu clearfix',
						'container'      => '',
						'walker'         => new scribbler_menu_walker(),
					));
				}
				?>
			</nav>

		<?php } ?>

</div><!-- nav -->
